diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/includes/template.php ./wordpress-3.3/wp-admin/includes/template.php
*** ./wordpress-3.2.1/wp-admin/includes/template.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-admin/includes/template.php	2011-12-08 15:55:39.000000000 -0600
***************
*** 221,262 ****
  	}
  }
  
- /**
-  * Get the column headers for a screen
-  *
-  * @since 2.7.0
-  *
-  * @param string|object $screen The screen you want the headers for
-  * @return array Containing the headers in the format id => UI String
-  */
- function get_column_headers( $screen ) {
- 	if ( is_string( $screen ) )
- 		$screen = convert_to_screen( $screen );
- 
- 	global $_wp_column_headers;
- 
- 	if ( !isset( $_wp_column_headers[ $screen->id ] ) ) {
- 		$_wp_column_headers[ $screen->id ] = apply_filters( 'manage_' . $screen->id . '_columns', array() );
- 	}
- 
- 	return $_wp_column_headers[ $screen->id ];
- }
- 
- /**
-  * Get a list of hidden columns.
-  *
-  * @since 2.7.0
-  *
-  * @param string|object $screen The screen you want the hidden columns for
-  * @return array
-  */
- function get_hidden_columns( $screen ) {
- 	if ( is_string( $screen ) )
- 		$screen = convert_to_screen( $screen );
- 
- 	return (array) get_user_option( 'manage' . $screen->id . 'columnshidden' );
- }
- 
  // adds hidden fields with the data for use in the inline editor for posts and pages
  /**
   * {@internal Missing Short Description}}
--- 221,226 ----
***************
*** 310,315 ****
--- 274,282 ----
  	if ( !$post_type_object->hierarchical )
  		echo '<div class="sticky">' . (is_sticky($post->ID) ? 'sticky' : '') . '</div>';
  
+ 	if ( post_type_supports( $post->post_type, 'post-formats' ) )
+ 		echo '<div class="post_format">' . esc_html( get_post_format( $post->ID ) ) . '</div>';
+ 
  	echo '</div>';
  }
  
***************
*** 344,350 ****
  <?php else : ?>
  <div id="com-reply" style="display:none;"><div id="replyrow" style="display:none;">
  <?php endif; ?>
! 	<div id="replyhead" style="display:none;"><?php _e('Reply to Comment'); ?></div>
  
  	<div id="edithead" style="display:none;">
  		<div class="inside">
--- 311,317 ----
  <?php else : ?>
  <div id="com-reply" style="display:none;"><div id="replyrow" style="display:none;">
  <?php endif; ?>
! 	<div id="replyhead" style="display:none;"><h5><?php _e( 'Reply to Comment' ); ?></h5></div>
  
  	<div id="edithead" style="display:none;">
  		<div class="inside">
***************
*** 364,370 ****
  		<div style="clear:both;"></div>
  	</div>
  
! 	<div id="replycontainer"><textarea rows="8" cols="40" name="replycontent" tabindex="104" id="replycontent"></textarea></div>
  
  	<p id="replysubmit" class="submit">
  	<a href="#comments-form" class="cancel button-secondary alignleft" tabindex="106"><?php _e('Cancel'); ?></a>
--- 331,342 ----
  		<div style="clear:both;"></div>
  	</div>
  
! 	<div id="replycontainer">
! 	<?php
! 	$quicktags_settings = array( 'buttons' => 'strong,em,link,block,del,ins,img,ul,ol,li,code,spell,close' );
! 	wp_editor( '', 'replycontent', array( 'media_buttons' => false, 'tinymce' => false, 'quicktags' => $quicktags_settings ) );
! 	?>
! 	</div>
  
  	<p id="replysubmit" class="submit">
  	<a href="#comments-form" class="cancel button-secondary alignleft" tabindex="106"><?php _e('Cancel'); ?></a>
***************
*** 384,391 ****
  	<input type="hidden" name="position" id="position" value="<?php echo $position; ?>" />
  	<input type="hidden" name="checkbox" id="checkbox" value="<?php echo $checkbox ? 1 : 0; ?>" />
  	<input type="hidden" name="mode" id="mode" value="<?php echo esc_attr($mode); ?>" />
! 	<?php wp_nonce_field( 'replyto-comment', '_ajax_nonce-replyto-comment', false ); ?>
! 	<?php wp_comment_form_unfiltered_html_nonce(); ?>
  <?php if ( $table_row ) : ?>
  </td></tr></tbody></table>
  <?php else : ?>
--- 356,366 ----
  	<input type="hidden" name="position" id="position" value="<?php echo $position; ?>" />
  	<input type="hidden" name="checkbox" id="checkbox" value="<?php echo $checkbox ? 1 : 0; ?>" />
  	<input type="hidden" name="mode" id="mode" value="<?php echo esc_attr($mode); ?>" />
! 	<?php
! 		wp_nonce_field( 'replyto-comment', '_ajax_nonce-replyto-comment', false );
! 		if ( current_user_can( 'unfiltered_html' ) )
! 			wp_nonce_field( 'unfiltered-html-comment', '_wp_unfiltered_html_comment', false );
! 	?>
  <?php if ( $table_row ) : ?>
  </td></tr></tbody></table>
  <?php else : ?>
***************
*** 466,472 ****
  function _list_meta_row( $entry, &$count ) {
  	static $update_nonce = false;
  
! 	if ( is_protected_meta( $entry['meta_key'] ) )
  		return;
  
  	if ( !$update_nonce )
--- 441,447 ----
  function _list_meta_row( $entry, &$count ) {
  	static $update_nonce = false;
  
! 	if ( is_protected_meta( $entry['meta_key'], 'post' ) )
  		return;
  
  	if ( !$update_nonce )
***************
*** 478,485 ****
  		$style = 'alternate';
  	else
  		$style = '';
- 	if ('_' == $entry['meta_key'] { 0 } )
- 		$style .= ' hidden';
  
  	if ( is_serialized( $entry['meta_value'] ) ) {
  		if ( is_serialized_string( $entry['meta_value'] ) ) {
--- 453,458 ----
***************
*** 613,622 ****
  
  	$month = "<select " . ( $multi ? '' : 'id="mm" ' ) . "name=\"mm\"$tab_index_attribute>\n";
  	for ( $i = 1; $i < 13; $i = $i +1 ) {
! 		$month .= "\t\t\t" . '<option value="' . zeroise($i, 2) . '"';
  		if ( $i == $mm )
  			$month .= ' selected="selected"';
! 		$month .= '>' . $wp_locale->get_month_abbrev( $wp_locale->get_month( $i ) ) . "</option>\n";
  	}
  	$month .= '</select>';
  
--- 586,596 ----
  
  	$month = "<select " . ( $multi ? '' : 'id="mm" ' ) . "name=\"mm\"$tab_index_attribute>\n";
  	for ( $i = 1; $i < 13; $i = $i +1 ) {
! 		$monthnum = zeroise($i, 2);
! 		$month .= "\t\t\t" . '<option value="' . $monthnum . '"';
  		if ( $i == $mm )
  			$month .= ' selected="selected"';
! 		$month .= '>' . $monthnum . '-' . $wp_locale->get_month_abbrev( $wp_locale->get_month( $i ) ) . "</option>\n";
  	}
  	$month .= '</select>';
  
***************
*** 865,877 ****
   * @param string $id String for use in the 'id' attribute of tags.
   * @param string $title Title of the meta box.
   * @param string $callback Function that fills the box with the desired content. The function should echo its output.
!  * @param string $page The type of edit page on which to show the box (post, page, link).
!  * @param string $context The context within the page where the boxes should show ('normal', 'advanced').
!  * @param string $priority The priority within the context where the boxes should show ('high', 'low').
   */
! function add_meta_box($id, $title, $callback, $page, $context = 'advanced', $priority = 'default', $callback_args=null) {
  	global $wp_meta_boxes;
  
  	if ( !isset($wp_meta_boxes) )
  		$wp_meta_boxes = array();
  	if ( !isset($wp_meta_boxes[$page]) )
--- 839,858 ----
   * @param string $id String for use in the 'id' attribute of tags.
   * @param string $title Title of the meta box.
   * @param string $callback Function that fills the box with the desired content. The function should echo its output.
!  * @param string|object $screen Optional. The screen on which to show the box (post, page, link). Defaults to current screen.
!  * @param string $context Optional. The context within the page where the boxes should show ('normal', 'advanced').
!  * @param string $priority Optional. The priority within the context where the boxes should show ('high', 'low').
   */
! function add_meta_box( $id, $title, $callback, $screen = null, $context = 'advanced', $priority = 'default', $callback_args = null ) {
  	global $wp_meta_boxes;
  
+ 	if ( empty( $screen ) )
+ 		$screen = get_current_screen();
+ 	elseif ( is_string( $screen ) )
+ 		$screen = convert_to_screen( $screen );
+ 
+ 	$page = $screen->id;
+ 
  	if ( !isset($wp_meta_boxes) )
  		$wp_meta_boxes = array();
  	if ( !isset($wp_meta_boxes[$page]) )
***************
*** 899,905 ****
  			// If no priority given and id already present, use existing priority
  			if ( empty($priority) ) {
  				$priority = $a_priority;
! 			// else if we're adding to the sorted priortiy, we don't know the title or callback. Glab them from the previously added context/priority.
  			} elseif ( 'sorted' == $priority ) {
  				$title = $wp_meta_boxes[$page][$a_context][$a_priority][$id]['title'];
  				$callback = $wp_meta_boxes[$page][$a_context][$a_priority][$id]['callback'];
--- 880,886 ----
  			// If no priority given and id already present, use existing priority
  			if ( empty($priority) ) {
  				$priority = $a_priority;
! 			// else if we're adding to the sorted priority, we don't know the title or callback. Grab them from the previously added context/priority.
  			} elseif ( 'sorted' == $priority ) {
  				$title = $wp_meta_boxes[$page][$a_context][$a_priority][$id]['title'];
  				$callback = $wp_meta_boxes[$page][$a_context][$a_priority][$id]['callback'];
***************
*** 925,940 ****
   *
   * @since 2.5.0
   *
!  * @param string $page page identifier, also known as screen identifier
   * @param string $context box context
   * @param mixed $object gets passed to the box callback function as first parameter
   * @return int number of meta_boxes
   */
! function do_meta_boxes($page, $context, $object) {
  	global $wp_meta_boxes;
  	static $already_sorted = false;
  
! 	$hidden = get_hidden_meta_boxes($page);
  
  	printf('<div id="%s-sortables" class="meta-box-sortables">', htmlspecialchars($context));
  
--- 906,928 ----
   *
   * @since 2.5.0
   *
!  * @param string|object $screen Screen identifier
   * @param string $context box context
   * @param mixed $object gets passed to the box callback function as first parameter
   * @return int number of meta_boxes
   */
! function do_meta_boxes( $screen, $context, $object ) {
  	global $wp_meta_boxes;
  	static $already_sorted = false;
  
! 	if ( empty( $screen ) )
! 		$screen = get_current_screen();
! 	elseif ( is_string( $screen ) )
! 		$screen = convert_to_screen( $screen );
! 
! 	$page = $screen->id;
! 
! 	$hidden = get_hidden_meta_boxes( $screen );
  
  	printf('<div id="%s-sortables" class="meta-box-sortables">', htmlspecialchars($context));
  
***************
*** 945,951 ****
  			foreach ( $sorted as $box_context => $ids ) {
  				foreach ( explode(',', $ids ) as $id ) {
  					if ( $id && 'dashboard_browser_nag' !== $id )
! 						add_meta_box( $id, null, null, $page, $box_context, 'sorted' );
  				}
  			}
  		}
--- 933,939 ----
  			foreach ( $sorted as $box_context => $ids ) {
  				foreach ( explode(',', $ids ) as $id ) {
  					if ( $id && 'dashboard_browser_nag' !== $id )
! 						add_meta_box( $id, null, null, $screen, $box_context, 'sorted' );
  				}
  			}
  		}
***************
*** 987,998 ****
   * @since 2.6.0
   *
   * @param string $id String for use in the 'id' attribute of tags.
!  * @param string $page The type of edit page on which to show the box (post, page, link).
   * @param string $context The context within the page where the boxes should show ('normal', 'advanced').
   */
! function remove_meta_box($id, $page, $context) {
  	global $wp_meta_boxes;
  
  	if ( !isset($wp_meta_boxes) )
  		$wp_meta_boxes = array();
  	if ( !isset($wp_meta_boxes[$page]) )
--- 975,993 ----
   * @since 2.6.0
   *
   * @param string $id String for use in the 'id' attribute of tags.
!  * @param string|object $screen The screen on which to show the box (post, page, link).
   * @param string $context The context within the page where the boxes should show ('normal', 'advanced').
   */
! function remove_meta_box($id, $screen, $context) {
  	global $wp_meta_boxes;
  
+ 	if ( empty( $screen ) )
+ 		$screen = get_current_screen();
+ 	elseif ( is_string( $screen ) )
+ 		$screen = convert_to_screen( $screen );
+ 
+ 	$page = $screen->id;
+ 
  	if ( !isset($wp_meta_boxes) )
  		$wp_meta_boxes = array();
  	if ( !isset($wp_meta_boxes[$page]) )
***************
*** 1005,1071 ****
  }
  
  /**
-  * {@internal Missing Short Description}}
-  *
-  * @since 2.7.0
-  *
-  * @param unknown_type $screen
-  */
- function meta_box_prefs($screen) {
- 	global $wp_meta_boxes;
- 
- 	if ( is_string($screen) )
- 		$screen = convert_to_screen($screen);
- 
- 	if ( empty($wp_meta_boxes[$screen->id]) )
- 		return;
- 
- 	$hidden = get_hidden_meta_boxes($screen);
- 
- 	foreach ( array_keys($wp_meta_boxes[$screen->id]) as $context ) {
- 		foreach ( array_keys($wp_meta_boxes[$screen->id][$context]) as $priority ) {
- 			foreach ( $wp_meta_boxes[$screen->id][$context][$priority] as $box ) {
- 				if ( false == $box || ! $box['title'] )
- 					continue;
- 				// Submit box cannot be hidden
- 				if ( 'submitdiv' == $box['id'] || 'linksubmitdiv' == $box['id'] )
- 					continue;
- 				$box_id = $box['id'];
- 				echo '<label for="' . $box_id . '-hide">';
- 				echo '<input class="hide-postbox-tog" name="' . $box_id . '-hide" type="checkbox" id="' . $box_id . '-hide" value="' . $box_id . '"' . (! in_array($box_id, $hidden) ? ' checked="checked"' : '') . ' />';
- 				echo "{$box['title']}</label>\n";
- 			}
- 		}
- 	}
- }
- 
- /**
-  * Get Hidden Meta Boxes
-  *
-  * @since 2.7.0
-  *
-  * @param string|object $screen Screen identifier
-  * @return array Hidden Meta Boxes
-  */
- function get_hidden_meta_boxes( $screen ) {
- 	if ( is_string( $screen ) )
- 		$screen = convert_to_screen( $screen );
- 
- 	$hidden = get_user_option( "metaboxhidden_{$screen->id}" );
- 
- 	// Hide slug boxes by default
- 	if ( !is_array( $hidden ) ) {
- 		if ( 'post' == $screen->base || 'page' == $screen->base )
- 			$hidden = array('slugdiv', 'trackbacksdiv', 'postcustom', 'postexcerpt', 'commentstatusdiv', 'commentsdiv', 'authordiv', 'revisionsdiv');
- 		else
- 			$hidden = array( 'slugdiv' );
- 		$hidden = apply_filters('default_hidden_meta_boxes', $hidden, $screen);
- 	}
- 
- 	return $hidden;
- }
- 
- /**
   * Add a new section to a settings page.
   *
   * Part of the Settings API. Use this to define new settings sections for an admin page.
--- 1000,1005 ----
***************
*** 1111,1117 ****
   * do_settings_fields() in do_settings-sections()
   *
   * The $callback argument should be the name of a function that echoes out the
!  * html input tags for this setting field. Use get_option() to retrive existing
   * values to show.
   *
   * @since 2.7.0
--- 1045,1051 ----
   * do_settings_fields() in do_settings-sections()
   *
   * The $callback argument should be the name of a function that echoes out the
!  * html input tags for this setting field. Use get_option() to retrieve existing
   * values to show.
   *
   * @since 2.7.0
***************
*** 1122,1128 ****
   * @param string $title Formatted title of the field. Shown as the label for the field during output.
   * @param string $callback Function that fills the field with the desired form inputs. The function should echo its output.
   * @param string $page The slug-name of the settings page on which to show the section (general, reading, writing, ...).
!  * @param string $section The slug-name of the section of the settingss page in which to show the box (default, ...).
   * @param array $args Additional arguments
   */
  function add_settings_field($id, $title, $callback, $page, $section = 'default', $args = array()) {
--- 1056,1062 ----
   * @param string $title Formatted title of the field. Shown as the label for the field during output.
   * @param string $callback Function that fills the field with the desired form inputs. The function should echo its output.
   * @param string $page The slug-name of the settings page on which to show the section (general, reading, writing, ...).
!  * @param string $section The slug-name of the section of the settings page in which to show the box (default, ...).
   * @param array $args Additional arguments
   */
  function add_settings_field($id, $title, $callback, $page, $section = 'default', $args = array()) {
***************
*** 1163,1169 ****
  		return;
  
  	foreach ( (array) $wp_settings_sections[$page] as $section ) {
! 		echo "<h3>{$section['title']}</h3>\n";
  		call_user_func($section['callback'], $section);
  		if ( !isset($wp_settings_fields) || !isset($wp_settings_fields[$page]) || !isset($wp_settings_fields[$page][$section['id']]) )
  			continue;
--- 1097,1104 ----
  		return;
  
  	foreach ( (array) $wp_settings_sections[$page] as $section ) {
! 		if ( $section['title'] )
! 			echo "<h3>{$section['title']}</h3>\n";
  		call_user_func($section['callback'], $section);
  		if ( !isset($wp_settings_fields) || !isset($wp_settings_fields[$page]) || !isset($wp_settings_fields[$page][$section['id']]) )
  			continue;
***************
*** 1275,1281 ****
  		sanitize_option( $setting, get_option($setting));
  
  	// If settings were passed back from options.php then use them
! 	// Ignore transients if $sanitize is true, we dont' want the old values anyway
  	if ( isset($_GET['settings-updated']) && $_GET['settings-updated'] && get_transient('settings_errors') ) {
  		$settings_errors = get_transient('settings_errors');
  		delete_transient('settings_errors');
--- 1210,1216 ----
  		sanitize_option( $setting, get_option($setting));
  
  	// If settings were passed back from options.php then use them
! 	// Ignore transients if $sanitize is true, we don't want the old values anyway
  	if ( isset($_GET['settings-updated']) && $_GET['settings-updated'] && get_transient('settings_errors') ) {
  		$settings_errors = get_transient('settings_errors');
  		delete_transient('settings_errors');
***************
*** 1395,1512 ****
  }
  
  /**
-  * {@internal Missing Short Description}}
-  *
-  * @since 2.7.0
-  */
- function favorite_actions( $screen = null ) {
- 	$default_action = false;
- 
- 	if ( is_string($screen) )
- 		$screen = convert_to_screen($screen);
- 
- 	if ( $screen->is_user )
- 		return;
- 
- 	if ( isset($screen->post_type) ) {
- 		$post_type_object = get_post_type_object($screen->post_type);
- 		if ( 'add' != $screen->action )
- 			$default_action = array('post-new.php?post_type=' . $post_type_object->name => array($post_type_object->labels->new_item, $post_type_object->cap->edit_posts));
- 		else
- 			$default_action = array('edit.php?post_type=' . $post_type_object->name => array($post_type_object->labels->name, $post_type_object->cap->edit_posts));
- 	}
- 
- 	if ( !$default_action ) {
- 		if ( $screen->is_network ) {
- 			$default_action = array('sites.php' => array( __('Sites'), 'manage_sites'));
- 		} else {
- 			switch ( $screen->id ) {
- 				case 'upload':
- 					$default_action = array('media-new.php' => array(__('New Media'), 'upload_files'));
- 					break;
- 				case 'media':
- 					$default_action = array('upload.php' => array(__('Edit Media'), 'upload_files'));
- 					break;
- 				case 'link-manager':
- 				case 'link':
- 					if ( 'add' != $screen->action )
- 						$default_action = array('link-add.php' => array(__('New Link'), 'manage_links'));
- 					else
- 						$default_action = array('link-manager.php' => array(__('Edit Links'), 'manage_links'));
- 					break;
- 				case 'users':
- 					$default_action = array('user-new.php' => array(__('New User'), 'create_users'));
- 					break;
- 				case 'user':
- 					$default_action = array('users.php' => array(__('Edit Users'), 'edit_users'));
- 					break;
- 				case 'plugins':
- 					$default_action = array('plugin-install.php' => array(__('Install Plugins'), 'install_plugins'));
- 					break;
- 				case 'plugin-install':
- 					$default_action = array('plugins.php' => array(__('Manage Plugins'), 'activate_plugins'));
- 					break;
- 				case 'themes':
- 					$default_action = array('theme-install.php' => array(__('Install Themes'), 'install_themes'));
- 					break;
- 				case 'theme-install':
- 					$default_action = array('themes.php' => array(__('Manage Themes'), 'switch_themes'));
- 					break;
- 				default:
- 					$default_action = array('post-new.php' => array(__('New Post'), 'edit_posts'));
- 					break;
- 			}
- 		}
- 	}
- 
- 	if ( !$screen->is_network ) {
- 		$actions = array(
- 			'post-new.php' => array(__('New Post'), 'edit_posts'),
- 			'edit.php?post_status=draft' => array(__('Drafts'), 'edit_posts'),
- 			'post-new.php?post_type=page' => array(__('New Page'), 'edit_pages'),
- 			'media-new.php' => array(__('Upload'), 'upload_files'),
- 			'edit-comments.php' => array(__('Comments'), 'moderate_comments')
- 			);
- 	} else {
- 		$actions = array(
- 			'sites.php' => array( __('Sites'), 'manage_sites'),
- 			'users.php' => array( __('Users'), 'manage_network_users')
- 		);
- 	}
- 
- 	$default_key = array_keys($default_action);
- 	$default_key = $default_key[0];
- 	if ( isset($actions[$default_key]) )
- 		unset($actions[$default_key]);
- 	$actions = array_merge($default_action, $actions);
- 	$actions = apply_filters( 'favorite_actions', $actions, $screen );
- 
- 	$allowed_actions = array();
- 	foreach ( $actions as $action => $data ) {
- 		if ( current_user_can($data[1]) )
- 			$allowed_actions[$action] = $data[0];
- 	}
- 
- 	if ( empty($allowed_actions) )
- 		return;
- 
- 	$first = array_keys($allowed_actions);
- 	$first = $first[0];
- 	echo '<div id="favorite-actions">';
- 	echo '<div id="favorite-first"><a href="' . $first . '">' . $allowed_actions[$first] . '</a></div><div id="favorite-toggle"><br /></div>';
- 	echo '<div id="favorite-inside">';
- 
- 	array_shift($allowed_actions);
- 
- 	foreach ( $allowed_actions as $action => $label) {
- 		echo "<div class='favorite-action'><a href='$action'>";
- 		echo $label;
- 		echo "</a></div>\n";
- 	}
- 	echo "</div></div>\n";
- }
- 
- /**
   * Get the post title.
   *
   * The post title is fetched and if it is blank then a default string is
--- 1330,1335 ----
***************
*** 1547,1565 ****
   */
  function iframe_header( $title = '', $limit_styles = false ) {
  	show_admin_bar( false );
! 	global $hook_suffix, $current_screen, $current_user, $admin_body_class, $wp_locale;
  	$admin_body_class = preg_replace('/[^a-z0-9_-]+/i', '-', $hook_suffix);
- 	$admin_body_class .= ' iframe';
  
! ?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
! <html xmlns="http://www.w3.org/1999/xhtml" <?php do_action('admin_xml_ns'); ?> <?php language_attributes(); ?>>
! <head>
! <meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php echo get_option('blog_charset'); ?>" />
  <title><?php bloginfo('name') ?> &rsaquo; <?php echo $title ?> &#8212; <?php _e('WordPress'); ?></title>
  <?php
- wp_enqueue_style( 'global' );
- if ( ! $limit_styles )
- 	wp_enqueue_style( 'wp-admin' );
  wp_enqueue_style( 'colors' );
  ?>
  <script type="text/javascript">
--- 1370,1384 ----
   */
  function iframe_header( $title = '', $limit_styles = false ) {
  	show_admin_bar( false );
! 	global $hook_suffix, $current_user, $admin_body_class, $wp_locale;
  	$admin_body_class = preg_replace('/[^a-z0-9_-]+/i', '-', $hook_suffix);
  
! 	$current_screen = get_current_screen();
! 
! 	_wp_admin_html_begin();
! ?>
  <title><?php bloginfo('name') ?> &rsaquo; <?php echo $title ?> &#8212; <?php _e('WordPress'); ?></title>
  <?php
  wp_enqueue_style( 'colors' );
  ?>
  <script type="text/javascript">
***************
*** 1573,1579 ****
  	},
  	ajaxurl = '<?php echo admin_url('admin-ajax.php'); ?>',
  	pagenow = '<?php echo $current_screen->id; ?>',
! 	typenow = '<?php if ( isset($current_screen->post_type) ) echo $current_screen->post_type; ?>',
  	adminpage = '<?php echo $admin_body_class; ?>',
  	thousandsSeparator = '<?php echo addslashes( $wp_locale->number_format['thousands_sep'] ); ?>',
  	decimalPoint = '<?php echo addslashes( $wp_locale->number_format['decimal_point'] ); ?>',
--- 1392,1398 ----
  	},
  	ajaxurl = '<?php echo admin_url('admin-ajax.php'); ?>',
  	pagenow = '<?php echo $current_screen->id; ?>',
! 	typenow = '<?php echo $current_screen->post_type; ?>',
  	adminpage = '<?php echo $admin_body_class; ?>',
  	thousandsSeparator = '<?php echo addslashes( $wp_locale->number_format['thousands_sep'] ); ?>',
  	decimalPoint = '<?php echo addslashes( $wp_locale->number_format['decimal_point'] ); ?>',
***************
*** 1590,1596 ****
  do_action('admin_head');
  ?>
  </head>
! <body<?php if ( isset($GLOBALS['body_id']) ) echo ' id="' . $GLOBALS['body_id'] . '"'; ?>  class="no-js <?php echo $admin_body_class; ?>">
  <script type="text/javascript">
  //<![CDATA[
  (function(){
--- 1409,1415 ----
  do_action('admin_head');
  ?>
  </head>
! <body<?php if ( isset($GLOBALS['body_id']) ) echo ' id="' . $GLOBALS['body_id'] . '"'; ?>  class="wp-admin no-js iframe <?php echo apply_filters( 'admin_body_class', '' ) . ' ' . $admin_body_class; ?>">
  <script type="text/javascript">
  //<![CDATA[
  (function(){
***************
*** 1624,1631 ****
  
  function _post_states($post) {
  	$post_states = array();
! 	if ( isset($_GET['post_status']) )
! 		$post_status = $_GET['post_status'];
  	else
  		$post_status = '';
  
--- 1443,1450 ----
  
  function _post_states($post) {
  	$post_states = array();
! 	if ( isset( $_REQUEST['post_status'] ) )
! 		$post_status = $_REQUEST['post_status'];
  	else
  		$post_status = '';
  
